var NAV_MARGIN_TOP = 40;
var SCROLL_DELAY = 500;
var scrolling_timeout = null;

$(document).ready(function () {
  $(window).on("scroll", onScroll); //ウインドウがスクロールされた時onScroll関数を実行
  $("nav").stop().animate({"top": NAV_MARGIN_TOP + $(window).scrollTop()});
});

//スクロールされた時
function onScroll() {
  //連続でスクロールされたときは無視する（タイムアウトを待ち続ける）
  if (scrolling_timeout) {
    clearTimeout(scrolling_timeout);
    scrolling_timeout = null;
  }
  scrolling_timeout = setTimeout(stopScroll, SCROLL_DELAY);
}

//タイムアウト（スクロールが終了した時）時ナビの位置を調整
function stopScroll() {
  //タイムアウトを破棄
  clearTimeout(scrolling_timeout);
  scrolling_timeout = null;
  //スクロール量に応じてナビゲーション位置を補正
  $("nav").stop().animate({"top": NAV_MARGIN_TOP + $(window).scrollTop()});
}
