var NAV_MARGIN_TOP = 10;
var navOpen = false;

$(document).ready(function () {
  //ウインドウがスクロールされた時onScroll関数を実行
  $(window).on("scroll", onScroll);
  onScroll();
  //ウインドウサイズが変わった時onResize関数を実行
  $(window).on("resize", onResize);
  //ハンバーガーボタンが押された時
  $(".burger").on("click", function (event) {
    event.preventDefault();
    switch (navOpen) {
      //ナビを閉じる
      case true:
        $("nav").animate({"left": "-152px"});
        $("#page").animate({"margin-left": "48px"});
        $("header").animate({"margin-left": "48px"});

        break;

      //ナビを開く
      case false:
        $("nav").animate({"left": "0"});
        $("#page").animate({"margin-left": "200px"});
        $("header").animate({"margin-left": "200px"});
        break;
    }
    navOpen = !navOpen;
    return false;
  });
});

//スクロール量に応じてナビゲーション位置を補正
function onScroll() {
  //フローティングナビの時
  if ($(".burger").css("display") == "none") {
    if ($(window).scrollTop() > $("header").outerHeight()) {
      $("nav").css({"margin-top": $(window).scrollTop() - $("header").outerHeight()});
    }
    else {
      $("nav").css({"margin-top": "0"});
    }
  }
  //ハンバーガーボタンの時
  else {
    $("nav").stop().animate({"top": NAV_MARGIN_TOP + $(window).scrollTop()});
  }
}

function onResize() {
  //ハンバーガーメニューを強制的に閉じてウィンドウサイズに応じてheaderと#pageの位置を調整。
  navOpen = false;
  if ($(".burger").css("display") == "none") {
      $("nav").css({"left": "0", "margin": "0"});
      $("#page").css({"margin-left": "0"});
      $("header").css({"margin-left": "0"});
  }
  else {
      $("nav").css({"left": "-152px", "margin": "0"});
      $("#page").css({"margin-left": "48px"});
      $("header").css({"margin-left": "48px"});
  }
  onScroll();
}
